Set up Google AutoML labels
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid}/labels \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"labels": [
{
"googleKey": "<string>",
"googleValue": "<string>",
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid}/labels"
payload = { "labels": [
{
"googleKey": "<string>",
"googleValue": "<string>",
"id": "<string>"
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({labels: [{googleKey: '<string>', googleValue: '<string>', id: '<string>'}]})
};
fetch('https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Machine Translation Settings
Set up Google AutoML labels
PUT
/
api2
/
v1
/
machineTranslateSettings
/
{mtsUid}
/
labels
Set up Google AutoML labels
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Machine translate settings UID
Body
application/json
Google AutoML labels to set up
Google AutoML model labels associated with this engine
Show child attributes
Show child attributes
Response
OK
Was this page helpful?
⌘I